************************************************************************
*               initialization of BASES/SPRING 5.1
************************************************************************
* main program for BASES 5.1
      implicit real*8(a-h,o-z)
      external func
*=======================================================================
*          initialization of bases by calling bsinit
*=======================================================================
      lu     = 11

      open(lu,file='bases.result',status='unknown',form='formatted')

c     lun = 23
c     open(lun,file='bases.data',status='unknown',form='unformatted')
       call bsinit
       call userin(lu)
       call bases( func, estim, sigma, ctime, it1, it2 )
       call bsinfo( lu )
       call bhplot(lu)
c      call bswrit( lun )
1     continue
c     close ( lun )

      close( lu )

      stop
      end
*----^---+---------+---------+---------+---------+---------+---------+
      subroutine userin(lu)
      implicit real*8(a-h,m,o-y)
      implicit complex*16(z)

* BASES5.1
      PARAMETER ( nXDIM = 50 )
      COMMON / LOOP0 / LOOP
      COMMON / BPARM1 / XL(nXDIM),XU(nXDIM),NDIM,NWILD,
     &                 IG(nXDIM),NCALL
      COMMON / BPARM2 / ACC1,ACC2,ITMX1,ITMX2
      COMMON / BASE3 / SI,SI2,SWGT,SCHI,SCALLS,ATACC,NSU,IT,WGT
*
      ndim=2
      nwild=2
      do 1 i=1,ndim
       xl(i)=0.d0
       xu(i)=1.d0
       ig(i)=1
1     continue
      ncall=10000
      ACC1=0.01d0
      ACC2=0.01d0
      itmx1=5
      itmx2=20

      do 2 i=1,ndim
        CALL XHINIT(i, 0.d0, 1.d0, 50, 'x')
2     continue
      do 3 i=1,ndim*(ndim-1)/2
        CALL DHINIT(i+ndim,0.d0,1.d0,50,0.d0,1.d0,50,'x-x') 
3     continue

      return
      end
      function func(x)
      implicit real*8(a-h,o-z)
      PARAMETER ( nXDIM = 50 )
      COMMON / BPARM1 / XL(nXDIM),XU(nXDIM),NDIM,NWILD,
     &                 IG(nXDIM),NCALL
      dimension x(nxdim)

      func= x(1)+x(2)

      do 1 i=1,ndim
1      call xhfill(i,x(i),func)
      id=ndim
      do 2 i=1,ndim-1
      do 2 j=i+1,ndim
      id=id+1
2      call dhfill(id,x(i),x(J),func)
 
      return
      end
      
